[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Fwd: Build Error (Job 2059): sdlmame-0129-0_6_0128u6_fc11 on fedora-development-rpmfusion_nonfree]



Michael Schwendt wrote, at 12/15/2008 09:28 PM +9:00:
On Mon, 15 Dec 2008 13:24:21 +0100, me wrote:

Package 'dbus-1', required by 'gconf', not found
Package dbus-1 was not found in the pkg-config search path.
Perhaps you should add the directory containing `dbus-1.pc'
to the PKG_CONFIG_PATH environment variable

Additionally, there's related activity in pkg-config with regard
to Requires.private:

  http://koji.fedoraproject.org/koji/buildinfo?buildID=73901

gconf-2.0.pc has dbus-1 as a Requires.private

Umm.. It seems with recent rawhide pkgconfig
$ pkg-config --print-requires gconf-2.0 will always pull in Requires.private dependency. And so with recent rpm behavior if GConf2 is rebuilt Requires.private
dependency will always pulled in. Is this expected behavior?
I guess this is superfluous and this behavior should be
reverted.

Mamoru



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]